/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.properties.message;

/**
 * blancoProperties が内部的に利用するメッセージ。
 */
public class BlancoPropertiesMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoPropertiesMessageResourceBundle fBundle = new BlancoPropertiesMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRI001]の文字列を取得します。
     *
     * No.2:
     * 文字列[与えられたファイル名[{0}]は [.jar]で終わっていません。[.jar]で終わるファイル名を与えてください。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbpri001(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbpri001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRI001] " + fBundle.getMbpri001(arg0);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRP001]の文字列を取得します。
     *
     * No.5:
     * 文字列[バンドルURI[{0}]。キー読み込み: (\)エスケープ中にもかかわらず行末に到達: [{1}]]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbprp001(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprp001]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbprp001]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRP001] " + fBundle.getMbprp001(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRP002]の文字列を取得します。
     *
     * No.6:
     * 文字列[バンドルURI[{0}]。存在するはずのキー[{1}] (ファイル上は[{2}]) でjava.util.Propertiesから読み込みを試みましたが nullが戻ってきました。現在の java.util.Propertiesの内容は以下の通りです。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @return メッセージ文字列。
     */
    public String getMbprp002(final String arg0, final String arg1, final String arg2) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprp002]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbprp002]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg2 == null) {
            throw new IllegalArgumentException("メソッド[getMbprp002]のパラメータ[arg2]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRP002] " + fBundle.getMbprp002(arg0, arg1, arg2);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRP003]の文字列を取得します。
     *
     * No.7:
     * 文字列[プログラムで通過してはならない箇所を通過しようとしました。バンドルURI[{0}]、キー[{1}]。(最終的な状態として入力に nullが与えられようとしました。)]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbprp003(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprp003]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbprp003]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRP003] " + fBundle.getMbprp003(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRP004]の文字列を取得します。
     *
     * No.8:
     * 文字列[バンドルURI[{0}]。キーの読み込みで 長さ0のキーを取得しました。(ファイル上は[{1}]) このプロパティファイルは処理できないものと判断して処理スキップします。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbprp004(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprp004]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbprp004]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRP004] " + fBundle.getMbprp004(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRMR01]の文字列を取得します。
     *
     * No.12:
     * 文字列[Manifest読込: java.util.jar.Manifest からメインアトリビュートの取得 (getMainAttributes) に失敗しました。{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbprmr01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprmr01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRMR01] " + fBundle.getMbprmr01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRMR02]の文字列を取得します。
     *
     * No.13:
     * 文字列[Manifest読込: マニフェスト内の バンドル名 (Bundle-Name アトリビュート) を取得することができませんでした。]
     *
     * @return メッセージ文字列。
     */
    public String getMbprmr02() {
        return "[MBPRMR02] " + fBundle.getMbprmr02();
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRMR03]の文字列を取得します。
     *
     * No.14:
     * 文字列[Manifest読込: マニフェスト内の バンドルシンボル名 (Bundle-SymbolicName アトリビュート) を取得することができませんでした。]
     *
     * @return メッセージ文字列。
     */
    public String getMbprmr03() {
        return "[MBPRMR03] " + fBundle.getMbprmr03();
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRMR04]の文字列を取得します。
     *
     * No.15:
     * 文字列[Manifest読込: マニフェスト内の バンドルバージョン (Bundle-Version アトリビュート) を取得することができませんでした。]
     *
     * @return メッセージ文字列。
     */
    public String getMbprmr04() {
        return "[MBPRMR04] " + fBundle.getMbprmr04();
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRMR11]の文字列を取得します。
     *
     * No.16:
     * 文字列[Manifest読込: 指定されたプラグインディレクトリ[{0}]は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbprmr11(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprmr11]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRMR11] " + fBundle.getMbprmr11(arg0);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRMR12]の文字列を取得します。
     *
     * No.17:
     * 文字列[Manifest読込: 指定されたプラグインディレクトリ[{0}]は、実際にはディレクトリではありませんでした。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbprmr12(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprmr12]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRMR12] " + fBundle.getMbprmr12(arg0);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRMR21]の文字列を取得します。
     *
     * No.18:
     * 文字列[Manifest読込: 指定されたプラグインjarファイル[{0}]は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbprmr21(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprmr21]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRMR21] " + fBundle.getMbprmr21(arg0);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRMR22]の文字列を取得します。
     *
     * No.19:
     * 文字列[Manifest読込: 指定されたプラグインjarファイル[{0}]は、実際にはファイルではありませんでした。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbprmr22(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprmr22]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRMR22] " + fBundle.getMbprmr22(arg0);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRMJ01]の文字列を取得します。
     *
     * No.24:
     * 文字列[プラグインjarファイル化: 指定されたプラグインルートディレクトリ[{0}]は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbprmj01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprmj01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRMJ01] " + fBundle.getMbprmj01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoProperties]、キー[MBPRMJ02]の文字列を取得します。
     *
     * No.25:
     * 文字列[プラグインjarファイル化: 指定されたプラグインルートディレクトリ[{0}]は実際にはディレクトリではありませんでした。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbprmj02(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbprmj02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBPRMJ02] " + fBundle.getMbprmj02(arg0);
    }
}
